QT       += core gui network script xml dbus

TARGET = pulsar
TEMPLATE = app

CONFIG    += link_pkgconfig qxt
PKGCONFIG += QtGStreamer-0.10 QtGStreamerUi-0.10
QXT       += core gui

include(translations/translations.pri)

SOURCES += main.cpp\
    playlist/playlist.cpp \
    playlist/playlistwidget.cpp \
    network/auth.cpp \
    network/parser.cpp \
    network/cookiejar.cpp \
    playlist/player.cpp \
    ui/about.cpp \
    settings/settings.cpp \
    settings/settingsdialog.cpp \
    playlist/track.cpp \
    playlist/plistsgroup.cpp \
    playlist/plistsgroupwidget.cpp \
    playlist/friendslist.cpp \
    playlist/friendslistwidget.cpp \
    network/vkactions.cpp \
    ui/pmessage.cpp \
    playlist/hints.cpp \
    ui/playercontrols.cpp \
    ui/styledbutton.cpp \
    playlist/musicdb.cpp \
    playlist/musicdbwidget.cpp \
    playlist/gstplayer.cpp \
    ui/songinfo.cpp \
    network/artloader.cpp \
    ui/subwindow.cpp \
    ui/dmwidget.cpp \
    network/downloadmanager.cpp \
    mpris2/mpris2.cpp \
    mpris2/mediaplayer2player.cpp \
    mpris2/mediaplayer2.cpp \
    ui/tray.cpp \
    ui/pulsar.cpp \
    network/lastfm.cpp \
    ui/styledwidget.cpp \
    ui/authwindow.cpp \
    ui/shortcutsmanager.cpp

HEADERS  += \
    playlist/playlist.h \
    playlist/playlistwidget.h \
    network/auth.h \
    network/parser.h \
    network/cookiejar.h \
    playlist/player.h \
    ui/about.h \
    settings/settings.h \
    settings/settingsdialog.h \
    playlist/track.h \
    playlist/plistsgroup.h \
    playlist/plistsgroupwidget.h \
    playlist/friendslist.h \
    playlist/friendslistwidget.h \
    network/vkactions.h \
    ui/pmessage.h \
    playlist/hints.h \
    ui/playercontrols.h \
    ui/styledbutton.h \
    playlist/musicdb.h \
    playlist/musicdbwidget.h \
    playlist/gstplayer.h \
    ui/songinfo.h \
    network/artloader.h \
    ui/subwindow.h \
    ui/dmwidget.h \
    network/downloadmanager.h \
    mpris2/mpris2.h \
    mpris2/mediaplayer2player.h \
    mpris2/mediaplayer2.h \
    ui/tray.h \
    ui/pulsar.h \
    network/lastfm.h \
    ui/styledwidget.h \
    ui/authwindow.h \
    ui/shortcutsmanager.h

RESOURCES += \
    data/data.qrc

    
unix {
  #VARIABLES
  isEmpty(PREFIX) {
    PREFIX = /usr
  }
  BINDIR = $$PREFIX/bin
  DATADIR =$$PREFIX/share
  SHAREDIR =$$DATADIR/$${TARGET}

  DEFINES += DATADIR=\\\"$$DATADIR\\\" PKGDATADIR=\\\"$$PKGDATADIR\\\"

  #MAKE INSTALL

  INSTALLS += target translations desktop service icon16 icon22 icon24 icon32 icon48 icon64 icon96 icon128 icon256

  target.path =$$BINDIR

  translations.path = $$SHAREDIR
  translations.files += ../builddir/src/translations

  desktop.path = $$DATADIR/applications
  desktop.files += $${TARGET}.desktop

  service.path = $$DATADIR/dbus-1/services
  service.files += $${TARGET}.service

  icon16.path = $$DATADIR/icons/hicolor/16x16/apps
  icon16.files += icons/16x16/$${TARGET}.png

  icon22.path = $$DATADIR/icons/hicolor/22x22/apps
  icon22.files += icons/22x22/$${TARGET}.png

  icon24.path = $$DATADIR/icons/hicolor/24x24/apps
  icon24.files += icons/24x24/$${TARGET}.png

  icon32.path = $$DATADIR/icons/hicolor/32x32/apps
  icon32.files += icons/32x32/$${TARGET}.png

  icon48.path = $$DATADIR/icons/hicolor/48x48/apps
  icon48.files += icons/48x48/$${TARGET}.png

  icon64.path = $$DATADIR/icons/hicolor/64x64/apps
  icon64.files += icons/64x64/$${TARGET}.png

  icon96.path = $$DATADIR/icons/hicolor/96x96/apps
  icon96.files += icons/96x96/$${TARGET}.png

  icon128.path = $$DATADIR/icons/hicolor/128x128/apps
  icon128.files += icons/128x128/$${TARGET}.png
  
  icon256.path = $$DATADIR/icons/hicolor/256x256/apps
  icon256.files += icons/256x256/$${TARGET}.png

}















































